Bug 1273204 - nouveau on GTX750Ti crashes with read fault UNSUPPORTED_KIND upon graphical login
nouveau on GTX750Ti crashes with read fault UNSUPPORTED_KIND upon graphical l...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
23
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-19 19:12 EDT by Marcel Ziswiler
Modified: 2016-12-20 10:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:04:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
full journal of f23 boot and nouveau crash (788.85 KB, text/x-vhdl)
2015-10-19 19:12 EDT, Marcel Ziswiler
no flags Details
Dmesg using Linux 4.1.10 kernel from koji (84.94 KB, text/plain)
2015-10-21 08:25 EDT, Marcel Ziswiler
no flags Details
journal from boot to hang (100.15 KB, text/plain)
2015-11-20 05:14 EST, Alexander Larsson
no flags Details

  None (edit)
Description Marcel Ziswiler 2015-10-19 19:12:04 EDT
Created attachment 1084553 [details]
full journal of f23 boot and nouveau crash

Description of problem:

Upon graphical login after updating F22 to F23 beta/testing nouveau on GTX 750 Ti aka GM107 (NV117) keeps crashing:

nouveau E[   PFIFO][0000:01:00.0] read fault at 0x0000011000 [UNSUPPORTED_KIND] from PBDMA0/HOST on channel 0x007ed7a000 [unknown]

Full journal attached.

Version-Release number of selected component (if applicable):

Linux kernel 4.2.3-300.fc23.x86_64
nouveau 1.2.2 20120801
X.Org X Server 1.17.99.901 (1.18.0 RC 1)
nouveau_drv 1.0.11

How reproducible:

Just boot fresh upgrade of F23 and try to graphically login.

Steps to Reproduce:
1. had F22
2. upgraded to F23 (using dnf upgrade plugin)
3. attempt graphical login

Actual results: nouveau crash


Expected results: should just work TM


Additional info: attached full journal
Comment 1 Marcel Ziswiler 2015-10-21 08:25 EDT
Created attachment 1085113 [details]
Dmesg using Linux 4.1.10 kernel from koji

I tried with Linux 4.1.10 kernel from koji but the result stayed the same (full dmesg attached):

[   54.292865] nouveau E[   PFIFO][0000:01:00.0] read fault at 0x0000011000 [UNSUPPORTED_KIND] from PBDMA0/HOST on channel 0x007ed7a000 [unknown]
[   55.628377] nouveau E[     DRM] GPU lockup - switching to software fbcon

It actually looks like it must be caused by some user space changes as even the older 4.1.x kernels I have still installed back from F22 cause the same crash when now attempting to use them with F23.
Comment 2 Marcel Ziswiler 2015-10-21 08:54:09 EDT
Booting with nouveau.noaccel=1 (kudos to Ilia Mirkin) actually got me my desktop back but as one might imagine with my 2560x1440 screen everything is rather slow. I am really wondering what changed as F22 used to work just fine before on that exact same hardware. Unfortunately as I live upgraded to F23 I don't think there is an easy way back now.
Comment 3 Alexander Larsson 2015-11-20 05:08:07 EST
I'm seeing this to. But not immediately at login, but sometimes when a new window is opened in gnome-shell.

nouveau E[   PFIFO][0000:01:00.0] read fault at 0x0000011000 [UNSUPPORTED_KIND] from PBDMA0/HOST on channel 0x003ee7c000 [unknown]
Comment 4 Alexander Larsson 2015-11-20 05:14 EST
Created attachment 1097093 [details]
journal from boot to hang

Attached the kernel logs from boot until the hang.
Comment 5 Fedora End Of Life 2016-11-24 07:50:59 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 10:04:28 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.